Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2KEXDHGroupXSHA1

    java.lang.Object
      com.mindbright.ssh2.SSH2KeyExchanger
          com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
              com.mindbright.ssh2.SSH2KEXDHGroupXSHA1

Direct Known Subclasses:
  SSH2KEXDHGroupXSHA256

public class SSH2KEXDHGroupXSHA1
extends SSH2KEXDHGroup1SHA1

Implements diffie hellman key exchange with group negotiation. This algorithm is known as 'diffie-hellman-group-exchange-sha1'

Field Summary

Fields inherited from class com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
`clientE, dhPrivateKey, dhPublicKey, exchangeHash_H, group1G, group1P, serverF, serverHostKey, sha1, sharedSecret_K, transport`

Constructor Summary
`SSH2KEXDHGroupXSHA1()`

Method Summary
`protected void` | `computeExchangeHash_H()`
`void` | `init(SSH2Transport transport)`
`void` | `processKEXMethodPDU(SSH2TransportPDU pdu)`
`protected void` | `sendGEXRequest()`

Methods inherited from class com.mindbright.ssh2.SSH2KEXDHGroup1SHA1
`computeSharedSecret_K, createHash, generateDHKeyPair, getExchangeHash_H, getExchangeHashAlgorithm, getHostKeyAlgorithms, getSharedSecret_K, sendDHINIT`

Methods inherited from class com.mindbright.ssh2.SSH2KeyExchanger
`getInstance`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SSH2KEXDHGroupXSHA1

    public SSH2KEXDHGroupXSHA1()

Method Detail

### init

    public void init(SSH2Transport transport)
              throws SSH2Exception

  Overrides:
    `init` in class `SSH2KEXDHGroup1SHA1`
  Throws:
    `SSH2Exception`

### processKEXMethodPDU

    public void processKEXMethodPDU(SSH2TransportPDU pdu)
                             throws SSH2Exception

  Overrides:
    `processKEXMethodPDU` in class `SSH2KEXDHGroup1SHA1`
  Throws:
    `SSH2Exception`

### computeExchangeHash_H

    protected void computeExchangeHash_H()

  Overrides:
    `computeExchangeHash_H` in class `SSH2KEXDHGroup1SHA1`

### sendGEXRequest

    protected void sendGEXRequest()
                           throws SSH2Exception

  Throws:
    `SSH2Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD